Page MenuHomePhabricator

Define the Chinese translation of Topic namespace
Closed, DeclinedPublic

Description

Define the Chinese translation of Topic namespace to 话题.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 25 2018, 8:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 406163 had a related patch set uploaded (by 星耀晨曦; owner: RazeSoldier):
[mediawiki/extensions/Flow@master] Define the Chinese translation of Topic namespace to 话题

https://gerrit.wikimedia.org/r/406163

Has this change been discussed with Chinese communities? If so, link(s) welcome. :)

Has this change been discussed with Chinese communities? If so, link(s) welcome. :)

Emmm, need discussed with Chinese communities?

Need all Chinese(Chinese Wikipedia, Chinese Wiktionary, Chinese Wikibooks...) site communitie consensus?

Has this change been discussed with Chinese communities? If so, link(s) welcome. :)

Per the language team, there is no need for on-wiki consensus, if it's just a straightforward generic translation. It seems to be. Google Translate gives "topic", along with some related terms that mostly support it being a correct translation.

I'm not aware of any strict rules about this, and it should be noted that these namespace names apply not only to Wikimedia sites, but to all users of the relevant extension.

What is certain, however, is that looking at a bit of community discussion about this can serve as a useful sanity check that the name sounds generally sensible to the people who know the language.

I've started discussions in zhwiki and if we get a consensus. I think there is no problem with this translation.

Please add 話題 for traditional Chinese also.

@RazeSoldier Please provide both Traditional and simplified Chinese version for this kind of request.

Thank you.

RazeSoldier added a comment.EditedJan 31 2018, 7:29 AM

Please add 話題 for traditional Chinese also.
@RazeSoldier Please provide both Traditional and simplified Chinese version for this kind of request.
Thank you.

Sorry, only once choose Simplified Chinese or Traditional Chinese at the same key(NS_TOPIC) in $namespaceNames['zh'] array. If we write both at the same time, the value of the key behind will overwrite the value of the previous value. Only the last key value will take effect.

From the perspective of zhwiki, I should modify wmf-config instead of directly modifying Flow extension.

Xiplus added a subscriber: Xiplus.Jan 31 2018, 10:52 AM
RazeSoldier changed the task status from Open to Stalled.Feb 4 2018, 7:55 PM

Waiting for further discussion

Wong128hk added a comment.EditedFeb 18 2018, 12:05 PM

With reference with T187546, the real name should be kept as "topic" which is similar to other namespaces on zh.wiki.

RazeSoldier closed this task as Declined.Feb 18 2018, 12:11 PM

I think so. Keep english namespace name.

Change 406163 abandoned by 星耀晨曦:
[Do not merge] Define the Chinese translation of Topic namespace to 话题

Reason:
The real name should be kept as "topic" which is similar to other namespaces on zhwiki.

https://gerrit.wikimedia.org/r/406163